
* Solution exercise 5;
* Part A;
* Part 1;
PROC FORMAT;
 VALUE sexF 1='Male' 2='Female';
 VALUE incomeF 
	1='Less than 9,999'
	2='10,000 - 19,999'
	3='20,000 - 29,999'
	4='30,000 - 39,999'
	5='40,000 - 49,999'
	6='50,000 - 59,999'
	7='60,000 - 69,999'
	8='70,000 or more';
 VALUE qlF
	1='Excellent'
	2='Very Good'
	3='Good'
	4='Fair'
	5='Poor'; 
RUN;

* Part 2;
DATA ql;
 INFILE '~/SASBiostat/2013/Data/tomhs.data' TERMSTR=CRLF LRECL=500 ;
  INPUT
	@1   ptid $10
	@30  sex 1.
	@32  race 1.
	@45  income 1.
	@148 hdlbl 3.
	@316 genhth 1.
	;
* Part 3;
	LABEL ptid = 'Patient ID';
	LABEL sex  = 'Gender';
	LABEL race = 'Race';
	LABEL income = 'Income';
	LABEL hdlbl = 'Baseline HDL';
	LABEL genhth = 'General Health';
RUN;
* Part 4;
PROC FREQ DATA=ql;
 TABLES sex income genhth;
 FORMAT sex sexF. income incomeF. genhth qlF.;
RUN;

PROC MEANS DATA=ql;
 CLASS sex;
 VAR hdlbl;
 FORMAT sex sexF.;
RUN;
* Women have higher HDL levels;

* Part B;
DATA hosp;
 INFORMAT dob admit dischrg mmddyy10.;
 INFILE '~/SASBiostat/2011/Data/hosp.csv' DSD TERMSTR=CRLF;
 INPUT id $ dob admit dischrg fee;

* Part A2-A4;
 staydays=(dischrg-admit)+1;
 age=(admit-dob)/365.25;
 costperday=fee/staydays;
RUN;
* Part A5;
PROC PRINT data=hosp;
 FORMAT dob admit dischrg mmddyy10.;
RUN;


