
data tdata;
 INFILE '~/SAS_Files/tomhs.data';
 input @1 ptid $10.
       @12 clinic $1.
       @14 randdate $10.
       @25 group 1.
       @30 sex 1.
       @123 sbp12 3.
       ;

data men;
 set tdata; where sex = 1;

 if group in(1,2,3,4,5) then active = 1; else
 if group in(6) then active = 2;

 keep ptid clinic group sbp12 randdate active;
run;

data women;
 set tdata; where sex = 2;

 if group in(1,2,3,4,5) then active = 1; else
 if group in(6) then active = 2;

 keep ptid clinic group sbp12 randdate active;
run;
